> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bungee.exchange/llms.txt
> Use this file to discover all available pages before exploring further.

# Build Manual transaction



## OpenAPI

````yaml https://public-backend.bungee.exchange/swagger-json get /api/v1/bungee/build-tx
openapi: 3.0.0
info:
  title: Bungee API Explorer
  description: API Endpoints for Bungee Exchange
  version: '1.0'
  contact: {}
servers:
  - url: https://public-backend.bungee.exchange
    description: Public Sandbox
  - url: https://dedicated-backend.bungee.exchange
    description: Dedicated Backend
  - url: https://backend.bungee.exchange
    description: Frontend/Direct
security: []
tags: []
paths:
  /api/v1/bungee/build-tx:
    get:
      tags:
        - Core API
      summary: Build Manual transaction
      operationId: BungeeController_buildTx_v1
      parameters:
        - name: quoteId
          required: true
          in: query
          description: The ID of the quote to build the transaction for
          schema:
            example: 778b5c75-d31d-4fce-9a96-4c99151c5a64
            type: string
      responses:
        '200':
          description: Submit request response
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SuccessResponseDto'
                  - properties:
                      result:
                        $ref: '#/components/schemas/BungeeManualBuildTxResponseDto'
              example:
                success: true
                statusCode: 200
                result:
                  approvalData:
                    spenderAddress: '0x3a23F943181408EAC424116Af7b7790c94Cb97a5'
                    amount: '10000000'
                    tokenAddress: '0xaf88d065e77c8cc2239327c5edb3a432268e5831'
                    userAddress: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
                  txData:
                    data: 0x0000019f792ebcb9....5509974b0d678e1e3149b02f4
                    to: '0x3a23F943181408EAC424116Af7b7790c94Cb97a5'
                    chainId: 42161
                    value: '0'
                  userOp: tx
components:
  schemas:
    SuccessResponseDto:
      type: object
      properties:
        success:
          type: boolean
          description: flag indicating whether the req was successful
          default: true
        statusCode:
          type: number
          description: Http status code
          default: 200
        message:
          type: string
          description: error message if request failed
          nullable: true
      required:
        - success
        - statusCode
    BungeeManualBuildTxResponseDto:
      type: object
      properties:
        userOp:
          type: string
          description: Type of user operation
          example: tx
        txData:
          description: Transaction data details
          allOf:
            - $ref: '#/components/schemas/TransactionDataDto'
        approvalData:
          description: Token approval data if required, null otherwise
          nullable: true
          allOf:
            - $ref: '#/components/schemas/TokenApprovalDataDto'
      required:
        - userOp
        - txData
    TransactionDataDto:
      type: object
      properties:
        data:
          description: Transaction data payload - string for EVM chains, object for Solana
          oneOf:
            - type: string
              example: 0x0000019f792ebcb9000...00000
            - $ref: '#/components/schemas/SerializedTxDataDto'
        to:
          type: string
          description: >-
            Contract address to which tx data needs to be sent (required for
            EVM, not used for Solana)
          example: '0x3a23F943181408EAC424116Af7b7790c94Cb97a5'
        chainId:
          type: number
          description: Network ID
          example: 42161
        value:
          type: string
          description: Transaction value in wei
          example: '0x00'
        type:
          type: string
          description: Type of blockchain transaction specific to chain
          example: tron
      required:
        - data
        - chainId
        - value
    TokenApprovalDataDto:
      type: object
      properties:
        amount:
          type: string
          description: Minimum approval amount
          example: '10000000'
        tokenAddress:
          type: string
          description: Approval token address
          example: '0xaf88d065e77c8cc2239327c5edb3a432268e5831'
        spenderAddress:
          type: string
          description: Address allowed to spend the tokens
          example: '0x3a23F943181408EAC424116Af7b7790c94Cb97a5'
        userAddress:
          type: string
          description: User wallet address
          example: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
      required:
        - amount
        - tokenAddress
        - spenderAddress
        - userAddress
    SerializedTxDataDto:
      type: object
      properties:
        instructions:
          description: Transaction instructions
          type: array
          items:
            $ref: '#/components/schemas/SerializedInstructionDto'
        lookupTables:
          description: Address lookup tables
          example: []
          type: array
          items:
            type: string
        signers:
          type: array
          description: Signers (array of secret key arrays)
          items:
            type: array
            items:
              type: number
          example: []
      required:
        - instructions
        - lookupTables
        - signers
    SerializedInstructionDto:
      type: object
      properties:
        programId:
          type: string
          description: Program ID
          example: 8jZnXYnZB1MJQG6zBXyouzcycsaPTrZtPXPHDNifjYaC
        keys:
          description: Account keys
          type: array
          items:
            $ref: '#/components/schemas/SerializedInstructionKeyDto'
        data:
          type: string
          description: Base64 encoded instruction data
          example: >-
            AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAAED
      required:
        - programId
        - keys
        - data
    SerializedInstructionKeyDto:
      type: object
      properties:
        pubkey:
          type: string
          description: Public key address
          example: 8jZnXYnZB1MJQG6zBXyouzcycsaPTrZtPXPHDNifjYaC
        isSigner:
          type: boolean
          description: Whether this key is a signer
          example: true
        isWritable:
          type: boolean
          description: Whether this account is writable
          example: true
      required:
        - pubkey
        - isSigner
        - isWritable

````